Subject: Re: bug#16445: Regression: ff-find-other-file doesn't update frame title

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Jan 2014 20:41:18 -0500

> I use ff-find-other-file to switch between .h and .cc C++ files, using
> Emacs as an X11 window (Emacs frame). The title for the X11 window does not
> update itself when I switch between the two buffers with this command. eg
> if I'm in Foo.cc and the title shows Foo.cc, I do ff-find-other-file and
> successfully switch to Foo.h, but the title says Foo.cc. If I use the
> buffer-menu to go to Foo.h, the title updates fine.

Can't reproduce it here.  I tried

  emacs -Q --eval "(global-set-key [?\C-o] 'ff-find-other-file)"
  C-x 5 f src/buffer.c

and then in the frame that displays buffer.c I did

  C-o

But the problem did not manifest itself.

        Stefan